    import LeagueEndpoint from 'kayn/lib/Endpoints/LeagueEndpoint/LeagueEndpoint.js'

public class | source

# LeagueEndpoint

#### Extends:

Endpoint~Endpoint → LeagueSuperclass → LeagueEndpoint

## Constructor Summary

Public Constructor
public | constructor() |

## Member Summary

Public Members
public | by: {"uuid": *} |
public | config: * |
public | limiter: * |

## Method Summary

Public Methods
public | uuid(leagueUUID: string): * Get league with given ID, including inactive entries. |

## Inherited Summary

From class LeagueSuperclass
public | serviceName: string |

## Public Constructors

### public constructor() source

#### Override:

LeagueSuperclass#constructor

## Public Members

### public by: {"uuid": *} source

### public config: * source

### public limiter: * source

## Public Methods

### public uuid(leagueUUID: string): * source

Get league with given ID, including inactive entries.

Implements GET `/lol/league/v3/leagues/{leagueId}`.

#### Params:

Name | Type | Attribute | Description
leagueUUID | string |  | The UUID of the league.

#### Return:

*